\( \newcommand{\E}{\mathrm{E}} \) \( \newcommand{\A}{\mathrm{A}} \) \( \newcommand{\R}{\mathrm{R}} \) \( \newcommand{\N}{\mathrm{N}} \) \( \newcommand{\Q}{\mathrm{Q}} \) \( \newcommand{\Z}{\mathrm{Z}} \) \( \def\ccSum #1#2#3{ \sum_{#1}^{#2}{#3} } \def\ccProd #1#2#3{ \sum_{#1}^{#2}{#3} }\)

CGAL 4.8 - 2D Arrangements

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Groups Pages
Reference Manual
Here is a list of all modules:
[detail level 1 2 3]

2D Arrangement Reference |
Concepts |
DCEL Concepts |
Geometric Object Concepts |
Function Object Concepts |
Traits Concepts |
Traits Classes |
DCEL |
I/O |
CGAL::read() | Reads a given arrangement from a given input stream using a specific input format
CGAL::write() | Writes a given arrangement into a given output stream using a specific output format
operator<< |
operator>> |
Point Location |
Overlay | Computes the overlay of two arrangements with history `arr1` and `arr2`, and sets the output arrangement with history `res` to represent the overlaid arrangement
Free Functions |
CGAL::insert() |
Tags |
Macros |
Enumerations |